#!/sbin/sh
#
# NativeSD SD-EXT Binder v1.0
# Author: tytung - xda-developers

# Get the chosen ROM NAME
ROM_NAME=`cat '/tmp/aroma/target_rom_name.prop' | sed 's/rom_name=//g'`

# Mount the SD-EXT partition
# Done by SD-EXT_mounter.sh
STATUS=`cat '/tmp/mount.prop' | sed 's/status=//g'`
if [ "$STATUS" = "mounted" ]; then

	mkdir -p /NativeSD/$ROM_NAME/system
	mkdir -p /NativeSD/$ROM_NAME/data

	mount --bind /NativeSD/$ROM_NAME/system /system
	mount --bind /NativeSD/$ROM_NAME/data   /data
	
	mkdir -p /sdcard/NativeSD/$ROM_NAME
	mkdir -p /boot
	mkdir -p /boot_dir

	mount --bind /sdcard/NativeSD/$ROM_NAME /boot
	mount --bind /sdcard/NativeSD           /boot_dir

fi
